tidy.multinom {broom} | R Documentation

## Tidying methods for multinomial logistic regression models

### Description

These methods tidy the coefficients of multinomial logistic regression models generated by `multinom` of the `nnet` package.

### Usage

    ## S3 method for class 'multinom'
    tidy(x, conf.int = FALSE, conf.level = 0.95,
      exponentiate = TRUE, ...)

### Arguments

`x` | A `multinom` object returned from `nnet::multinom()`.
`conf.int` | Logical indicating whether or not to include a confidence interval in the tidied output. Defaults to `FALSE`.
`conf.level` | The confidence level to use for the confidence interval if `conf.int = TRUE`. Must be strictly greater than 0 and less than 1. Defaults to 0.95, which corresponds to a 95 percent confidence interval.
`exponentiate` | Logical indicating whether or not to exponentiate the the coefficient estimates. This is typical for logistic and multinomial regressions, but a bad idea if there is no log or logit link. Defaults to `FALSE`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

`tidy.multinom` returns one row for each coefficient at each level of the response variable, with six columns:

`y.value` | The response level
`term` | The term in the model being estimated and tested
`estimate` | The estimated coefficient
`std.error` | The standard error from the linear model
`statistic` | Wald z-statistic
`p.value` | two-sided p-value

If `conf.int = TRUE`, also includes columns for `conf.low` and `conf.high`.

### See Also

`tidy()`, `nnet::multinom()`

Other multinom tidiers: `glance.multinom`

### Examples

    if (require(nnet) & require(MASS)){
      library(nnet)
      library(MASS)

      example(birthwt)
      bwt.mu <- multinom(low ~ ., bwt)
      tidy(bwt.mu)
      glance(bwt.mu)

      #* This model is a truly terrible model
      #* but it should show you what the output looks
      #* like in a multinomial logistic regression

      fit.gear <- multinom(gear ~ mpg + factor(am), data = mtcars)
      tidy(fit.gear)
      glance(fit.gear)
    }

[Package broom version 0.5.2 Index]